------------------------------------------------------------------------------------
--Name:  	juqing5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-05-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(135, 132)
CppScriptMgr:SetViewScale(200)
local npc_0 = CppScriptMgr:AddSimplePlayer(1065180, 131, 122, "", 0, 0)
npc_0:WalkTo(131, 142)
local npc_1 = CppScriptMgr:AddSimplePlayer(1060180, 138, 120, "", 0, 0)
npc_1:WalkTo(138, 140)
local npc_2 = CppScriptMgr:AddSimplePlayer(1065250, 135, 122, "", 0, 0)
npc_2:WalkTo(133, 142)
npc_2:Say("Totally worth the trip! Next time I`m bringing the whole family!", 2500)
local npc_3 = CppScriptMgr:AddSimplePlayer(1063154, 135, 153, "", 0, 0)
npc_3:SetDir(4)
npc_3:WalkTo(136, 112)
local npc_5 = CppScriptMgr:AddSimplePlayer(1060230, 131, 130, "", 0, 0)
npc_5:WalkTo(131, 150)
npc_5:Say("So much fun, and yet I barely got to play anything!", 2500)
local npc_6 = CppScriptMgr:AddSimplePlayer(1065184, 139, 140, "", 0, 0)
npc_6:WalkTo(139, 120)
npc_6:SetDir(4)
local npc_4 = CppScriptMgr:AddSimplePlayer(1065230, 133, 118, "", 0, 0)
npc_4:WalkTo(133, 142)
npc_4:Say("Loved it! Gonna tell all my friends about this place!", 2500)
local npc_7 = CppScriptMgr:AddSimplePlayer(1055450, 128, 128, "", 0, 0)
npc_7:SetDir(0)
npc_7:SetArmor(196185, 0, 1)
npc_7:SetHair(37, 1)
npc_7:SetZoomPercent(130)
npc_7:SetAction(101)
local npc_8 = CppScriptMgr:AddSimplePlayer(1055450, 144, 128, "", 0, 0)
npc_8:SetDir(0)
npc_8:SetArmor(196185, 0, 1)
npc_8:SetHair(37, 1)
npc_8:SetZoomPercent(130)
npc_8:SetAction(101)
npc_8:Say("Crowds keep rising. I`ll get more bonuses!", 2500)
local effect_0 = CppScriptMgr:AddEffect("NEW-flower-rain", 137, 137, 33, 1, 1, 1)
effect_0:Scale(3, 3, 3)
local effect_1 = CppScriptMgr:AddEffect("QiFuLev3", 137, 137, 33, 1, 1, 1)
effect_1:Scale(2, 2, 2)
local effect_3 = CppScriptMgr:AddEffect("Fruits_xhc", 124, 140, 33, 1, 1, 1)
effect_3:Scale(2, 2, 2)
local effect_4 = CppScriptMgr:AddEffect("Fruits_xhc", 149, 137, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(760)
npc_0:Say("This isn`t just a park. It`s a dream factory!", 2500)
CppScriptMgr:WaitMilSec(1240)
npc_1:Say("That holographic firework show was epic!", 2500)
CppScriptMgr:WaitMilSec(990)
npc_7:Say("As security, I can`t let any danger slip through!", 2500)
CppScriptMgr:WaitMilSec(800)
npc_3:Say("This time I`m doing every single ride!", 2500)
CppScriptMgr:WaitMilSec(1210)